#!/bin/csh

set dcvs
foreach f ( `ls -1` )
  if( -e $f/CVS ) set dcvs = ( $dcvs $f )
end

foreach d ( $dcvs )
  echo ">>>>>>>>>>  ${d}: diff ${d}.o.list objlist.list"
  if( -e ${d}/${d}.o.list && -e $d/objlist.list ) then
    diff ${d}/${d}.o.list ${d}/objlist.list
  ###  if( $status == 0 ) echo "... No differences"
  ###else
  ###  echo "fichier(s) ${d}.o.list ou/et objlist.list inexistant(s)"
  endif
end

exit 0
